# v9.22.0 (Fri Mar 27 2020)

#### 🚀 Enhancement

- Add --title flag to 'auto changelog' [#1084](https://github.com/intuit/auto/pull/1084) ([@hipstersmoothie](https://github.com/hipstersmoothie))

#### Authors: 1

- Andrew Lisowski ([@hipstersmoothie](https://github.com/hipstersmoothie))

---

# v9.21.1 (Fri Mar 27 2020)

#### 🐛 Bug Fix

- Respect Updated PR Titles [#1082](https://github.com/intuit/auto/pull/1082) ([@hipstersmoothie](https://github.com/hipstersmoothie))

#### Authors: 1

- Andrew Lisowski ([@hipstersmoothie](https://github.com/hipstersmoothie))

---

# v9.19.1 (Sat Mar 07 2020)

#### 🐛 Bug Fix

- Better GitHub Actions support + docs for github action + handle GITHUB_TOKEN [#1036](https://github.com/intuit/auto/pull/1036) ([@hipstersmoothie](https://github.com/hipstersmoothie))

#### Authors: 1

- Andrew Lisowski ([@hipstersmoothie](https://github.com/hipstersmoothie))

---

# v9.19.0 (Sat Mar 07 2020)

### Release Notes

_From #996_

The `gradle` plugin has enabled many Java and Android engineers to automate the versioning of their projects. While the old `gradle` plugin's features were primarily targeted at app developers, this release brings features that make `auto` ergonomic for library authors! :tada:

## `-SNAPSHOT` Versioning

A common versioning pattern for java projects is `-SNAPSHOT` Versioning. It is especially helpful for library authors and helps with testing their libraries.

All you have to do to start using this feature is add `-SNAPSHOT` to your version in `build.gradle` or `gradle.properties` and `auto` will start using`-snapshot` Versioning. If you want to configure the snapshot suffix just set `snapshotSuffix` in `gradle.properties`.

## Publish Support

Another useful feature for library authors, `auto` will now call the `publish` task if it is configured for your project. :rocket:

## `versionFile` deprecation

Previously this plugin had to use a `versionFile` to keep track of the version of the project. Now it will parse the `gradle properties` command for this information.

This is not a breaking change, you'll just have an extra file you can delete

---

#### 🚀 Enhancement

- 🐘 Gradle Plugin: Add support for snapshot versioning, publishing, and less configuration [#996](https://github.com/intuit/auto/pull/996) ([@sugarmanz](https://github.com/sugarmanz) Jeremiah_Zucker@Intuit.com [@hipstersmoothie](https://github.com/hipstersmoothie))

#### Authors: 3

- Andrew Lisowski ([@hipstersmoothie](https://github.com/hipstersmoothie))
- Jeremiah (Jeremiah_Zucker@Intuit.com)
- Jeremiah Zucker ([@sugarmanz](https://github.com/sugarmanz))

---

# v9.17.1 (Fri Mar 06 2020)

#### 🐛 Bug Fix

- 📦 🐈 Yarn 2 Compatibility [#1029](https://github.com/intuit/auto/pull/1029) ([@hipstersmoothie](https://github.com/hipstersmoothie))

#### Authors: 1

- Andrew Lisowski ([@hipstersmoothie](https://github.com/hipstersmoothie))

---

# v9.15.8 (Tue Mar 03 2020)

#### 🐛 Bug Fix

- set license on CLI ([@hipstersmoothie](https://github.com/hipstersmoothie))

#### Authors: 1

- Andrew Lisowski ([@hipstersmoothie](https://github.com/hipstersmoothie))

---

# v9.15.7 (Tue Mar 03 2020)

#### 🐛 Bug Fix

- update --help output in cli readme ([@hipstersmoothie](https://github.com/hipstersmoothie))

#### Authors: 1

- Andrew Lisowski ([@hipstersmoothie](https://github.com/hipstersmoothie))

---

# v9.15.4 (Mon Mar 02 2020)

#### 🐛 Bug Fix

- make --force configurable in the .autorc ([@hipstersmoothie](https://github.com/hipstersmoothie))
- Don't release canary on skip-release by default, add force flag ([@hipstersmoothie](https://github.com/hipstersmoothie))

#### Authors: 1

- Andrew Lisowski ([@hipstersmoothie](https://github.com/hipstersmoothie))

---

# v9.15.3 (Mon Mar 02 2020)

#### 🐛 Bug Fix

- Bump tslib from 1.11.0 to 1.11.1

Bumps [tslib](https://github.com/Microsoft/tslib) from 1.11.0 to 1.11.1.

- [Release notes](https://github.com/Microsoft/tslib/releases)
- [Commits](https://github.com/Microsoft/tslib/compare/1.11.0...1.11.1)

Signed-off-by: dependabot-preview[bot] <support@dependabot.com> ([@dependabot-preview[bot]](https://github.com/dependabot-preview[bot]))

#### Authors: 1

- [@dependabot-preview[bot]](https://github.com/dependabot-preview[bot])

---

# v9.15.1 (Sun Mar 01 2020)

#### 🐛 Bug Fix

- only get default config in command that allow it, enables shipit to easily use sub-commands configs ([@hipstersmoothie](https://github.com/hipstersmoothie))

#### Authors: 1

- Andrew Lisowski ([@hipstersmoothie](https://github.com/hipstersmoothie))

---

# v9.15.0 (Sun Mar 01 2020)

#### 🐛 Bug Fix

- enable autorc configuration for some command flags ([@hipstersmoothie](https://github.com/hipstersmoothie))
- fix tests ([@hipstersmoothie](https://github.com/hipstersmoothie))

#### Authors: 1

- Andrew Lisowski ([@hipstersmoothie](https://github.com/hipstersmoothie))

---

# v9.13.1 (Mon Feb 24 2020)

#### 🐛 Bug Fix

- Bump tslib from 1.10.0 to 1.11.0

Bumps [tslib](https://github.com/Microsoft/tslib) from 1.10.0 to 1.11.0.

- [Release notes](https://github.com/Microsoft/tslib/releases)
- [Commits](https://github.com/Microsoft/tslib/compare/1.10.0...1.11.0)

Signed-off-by: dependabot-preview[bot] <support@dependabot.com> ([@dependabot-preview[bot]](https://github.com/dependabot-preview[bot]))

#### Authors: 1

- [@dependabot-preview[bot]](https://github.com/dependabot-preview[bot])

---

# v9.13.0 (Sat Feb 22 2020)

#### 🐛 Bug Fix

- update docs ([@hipstersmoothie](https://github.com/hipstersmoothie))

#### Authors: 1

- Andrew Lisowski ([@hipstersmoothie](https://github.com/hipstersmoothie))

---

# v9.12.1 (Sat Feb 22 2020)

#### 🐛 Bug Fix

- add warning to CLI flag ([@hipstersmoothie](https://github.com/hipstersmoothie))

#### Authors: 1

- Andrew Lisowski ([@hipstersmoothie](https://github.com/hipstersmoothie))

---

# v9.11.0 (Fri Feb 21 2020)

#### 🐛 Bug Fix

- Add new command 'latest' for easier testing and more flexibility ([@hipstersmoothie](https://github.com/hipstersmoothie))

#### Authors: 1

- Andrew Lisowski ([@hipstersmoothie](https://github.com/hipstersmoothie))

---

# v9.10.4 (Thu Feb 06 2020)

#### 🐛 Bug Fix

- fix test ([@hipstersmoothie](https://github.com/hipstersmoothie))
- dont exit process when calling info in core ([@hipstersmoothie](https://github.com/hipstersmoothie))
- Run `auto info` when any command is run with --verbose ([@hipstersmoothie](https://github.com/hipstersmoothie))

#### Authors: 1

- Andrew Lisowski ([@hipstersmoothie](https://github.com/hipstersmoothie))

---

# v9.10.0 (Thu Feb 06 2020)

#### 🐛 Bug Fix

- add "info" command ([@hipstersmoothie](https://github.com/hipstersmoothie))

#### Authors: 1

- Andrew Lisowski ([@hipstersmoothie](https://github.com/hipstersmoothie))

---

# v9.5.0 (Mon Jan 27 2020)

#### 🐛 Bug Fix

- Overhaul "auto init" experience + make it pluggable ([@hipstersmoothie](https://github.com/hipstersmoothie))

#### Authors: 1

- Andrew Lisowski ([@hipstersmoothie](https://github.com/hipstersmoothie))

---

# v9.2.1 (Fri Jan 24 2020)

#### 🐛 Bug Fix

- fallback to 0.0.0 in git-tag plugin with no previous releases ([@hipstersmoothie](https://github.com/hipstersmoothie))

#### Authors: 1

- Andrew Lisowski ([@hipstersmoothie](https://github.com/hipstersmoothie))

---

# v9.0.0 (Mon Jan 13 2020)

#### 🐛 Bug Fix

- be explicit about supported node versions ([@hipstersmoothie](https://github.com/hipstersmoothie))

#### Authors: 1

- Andrew Lisowski ([@hipstersmoothie](https://github.com/hipstersmoothie))

---

# v8.6.0 (Tue Dec 17 2019)

#### 🐛 Bug Fix

- Bump version to: v8.5.0 \[skip ci\] ([@hipstersmoothie](https://github.com/hipstersmoothie))
- Update CHANGELOG.md \[skip ci\] ([@hipstersmoothie](https://github.com/hipstersmoothie))

#### Authors: 1

- Andrew Lisowski ([@hipstersmoothie](https://github.com/hipstersmoothie))

---

# v8.5.0 (Tue Dec 17 2019)

#### 🐛 Bug Fix

- Bump version to: v8.4.0 \[skip ci\] ([@hipstersmoothie](https://github.com/hipstersmoothie))
- Bump version to: v8.3.0 \[skip ci\] ([@hipstersmoothie](https://github.com/hipstersmoothie))
- Bump version to: v8.2.0 \[skip ci\] ([@hipstersmoothie](https://github.com/hipstersmoothie))
- Update CHANGELOG.md \[skip ci\] ([@hipstersmoothie](https://github.com/hipstersmoothie))
- release: add flag to publish prerelease ([@hipstersmoothie](https://github.com/hipstersmoothie))
- Bump version to: v8.1.3 \[skip ci\] ([@hipstersmoothie](https://github.com/hipstersmoothie))
- Bump version to: v8.1.2 \[skip ci\] ([@hipstersmoothie](https://github.com/hipstersmoothie))
- Bump version to: v8.1.1 \[skip ci\] ([@hipstersmoothie](https://github.com/hipstersmoothie))

#### Authors: 1

- Andrew Lisowski ([@hipstersmoothie](https://github.com/hipstersmoothie))

---

# v8.4.1 (Mon Dec 16 2019)

#### 🐛 Bug Fix

- alias the canary scope

use alias we define ([@hipstersmoothie](https://github.com/hipstersmoothie))

#### Authors: 1

- Andrew Lisowski ([@hipstersmoothie](https://github.com/hipstersmoothie))

---

# v8.2.0 (Sun Dec 15 2019)

#### 🐛 Bug Fix

- release: add flag to publish prerelease ([@hipstersmoothie](https://github.com/hipstersmoothie))

#### Authors: 1

- Andrew Lisowski ([@hipstersmoothie](https://github.com/hipstersmoothie))

---

# v8.0.0 (Wed Dec 11 2019)

#### 🐛 Bug Fix

- Bump version to: v8.0.0-next.4 \[skip ci\] ([@hipstersmoothie](https://github.com/hipstersmoothie))
- create v8 announcement ([@hipstersmoothie](https://github.com/hipstersmoothie))
- switch from dedent to endent to fix multitemplate indentation ([@hipstersmoothie](https://github.com/hipstersmoothie))
- post comment prerelase version on prerelease version PR branches ([@hipstersmoothie](https://github.com/hipstersmoothie))
- Deprecate "--very-verbose, -w" in favor of "-vv" ([@hipstersmoothie](https://github.com/hipstersmoothie))
- reset versions ([@hipstersmoothie](https://github.com/hipstersmoothie))
- Bump version to: v8.0.0-next.8 \[skip ci\] ([@hipstersmoothie](https://github.com/hipstersmoothie))
- Bump version to: v8.0.0-next.7 \[skip ci\] ([@hipstersmoothie](https://github.com/hipstersmoothie))
- change skip-release releaseType to just skip ([@hipstersmoothie](https://github.com/hipstersmoothie))
- Bump version to: v8.0.0-next.6 \[skip ci\] ([@hipstersmoothie](https://github.com/hipstersmoothie))
- Bump version to: v8.0.0-next.5 \[skip ci\] ([@hipstersmoothie](https://github.com/hipstersmoothie))
- update docs ([@hipstersmoothie](https://github.com/hipstersmoothie))
- Bump version to: v8.0.0-next.3 \[skip ci\] ([@hipstersmoothie](https://github.com/hipstersmoothie))
- implment dry-run flag for next command ([@hipstersmoothie](https://github.com/hipstersmoothie))
- Bump version to: v8.0.0-next.2 \[skip ci\] ([@hipstersmoothie](https://github.com/hipstersmoothie))
- shipit: add flag to only publish to 'latest' tag when "release" label is present ([@hipstersmoothie](https://github.com/hipstersmoothie))
- Bump version to: v8.0.0-next.1 \[skip ci\] ([@hipstersmoothie](https://github.com/hipstersmoothie))
- allow user to configure what branches are treated as prerelease branches ([@hipstersmoothie](https://github.com/hipstersmoothie))
- Bump version to: v8.0.0-next.0 \[skip ci\] ([@hipstersmoothie](https://github.com/hipstersmoothie))
- Bump version to: v7.17.0-next.1 \[skip ci\] ([@hipstersmoothie](https://github.com/hipstersmoothie))
- Bump version to: v7.17.0-next.0 \[skip ci\] ([@hipstersmoothie](https://github.com/hipstersmoothie))
- call next from shipit on next branch ([@hipstersmoothie](https://github.com/hipstersmoothie))
- get next branch release working ([@hipstersmoothie](https://github.com/hipstersmoothie))

#### Authors: 1

- Andrew Lisowski ([@hipstersmoothie](https://github.com/hipstersmoothie))
